#include <ctype.h>
#include <dirent.h>
#include <errno.h>
#include <fcntl.h>
#include <signal.h>
#include <string.h>
#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <termios.h>
#include <time.h>
#include <unistd.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <sys/time.h>

/* Is this neccesary? */
#define default_playlist "/tmp/0.lst"
#define PLAYLIST_ONE "/tmp/1.lst"
#define PLAYLIST_TWO "/tmp/2.lst"
#define PLAYLIST_THREE "/tmp/3.lst"
#define PLAYLIST_FOUR "/tmp/4.lst"

/* Remote */
#define START_BTN 0x02     // Start Button
#define QUESTION_BTN 0x01  // Question box 
#define MAILBOX_BTN 0x23   // Mailbox button

/* Next row - from left */
#define TV_BTN 0x04        // TV Button
#define GDE_BTN 0x05
#define CD_BTN 0x06
#define MSG_BTN 0x07       // Message button
#define PHONE_BTN 0x03

/* Now the blue turn thinks - from left */

/* Screw them. */

/* Channel buttons */
#define CHANNEL_UP 0x0A
#define CHANNEL_DOWN 0x0D 

#define MUTE 0x0B

/* Volume buttons */
#define VOL_UP 0x09
#define VOL_DOWN 0x0C

/* From left to right */
#define RRW_BTN 0x0E
#define PLAY_BTN 0x0F
#define FFW_BTN 0x10
#define SHUFFLE_BTN 0x11
#define STOP_BTN 0x12
#define PAUSE_BTN 0x13

/* Number pad */

#define ONE 0x15
#define TWO 0x16
#define THREE 0x14
#define FOUR 0x18
#define FIVE 0x19
#define SIX 0x17
#define SEVEN 0x1C
#define EIGHT 0x1B
#define NINE 0x1A
#define ZERO 0x1D
#define STAR 0x1F
#define HASH 0x1E

#define SWITCH_PLAYLIST 0x00 //arbitrary number..just need something.

int DONTPLAY;
pid_t mpg123_pid;
